Bug 1416201 - journalctl should explicitly state the feature flag it's incompatible with when refusing to open journal file at runtime
Summary: journalctl should explicitly state the feature flag it's incompatible with wh...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 20:51 UTC by Kinston Hughes
Modified: 2017-03-02 20:11 UTC (History)
8 users (show)

Fixed In Version: systemd-233-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-02 20:11:55 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1404406 None None None Never

Description Kinston Hughes 2017-01-24 20:51:36 UTC
Continuing from https://bugzilla.redhat.com/show_bug.cgi?id=1404406#c9

Description of problem:
When journalctl encounters a journal file which it is unable to open due to an incomatiblity flag being set in the journal file header, journalctl exits with a generic message "<...> uses an unsupported feature." without any specific information which feature requires support that isn't available or wasn't compiled in. 

For example, #1404406, had a regression in which lz4 support wasn't compiled into the shipped package and journal files could no longer be opened by journalctl.

Version-Release number of selected component (if applicable):
systemd-231-12.fc25 

How reproducible:
always

Steps to Reproduce:
1. compiled systemd without support for the compression algo used to compress the journal files
2. try to open a compressed journal file.
3.

Actual results:
journalctl reports " "<...> uses an unsupported feature." 

Expected results:
should say " "<...> requires support for XXX, which is not available."

Comment 1 Zbigniew Jędrzejewski-Szmek 2017-01-25 00:25:53 UTC
https://github.com/systemd/systemd/pull/5151

Comment 2 Fedora End Of Life 2017-02-28 11:02:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.


Note You need to log in before you can comment on or make changes to this bug.